Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 4752)
+++ /palm/trunk/SOURCE/modules.f90	(revision 4753)
@@ -1176,9 +1324,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Definition of array bounds, number of gridpoints, and wall flag arrays.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE indices
 
@@ -1186,6 +1334,8 @@
 
     INTEGER(iwp) ::  nbgp = 3       !< number of boundary ghost points
-    INTEGER(iwp) ::  ngp_sums       !< number of vertical profile grid points time number of output profiles - used for allreduce statements in MPI calls
-    INTEGER(iwp) ::  ngp_sums_ls    !< number of vertical profile grid points time number of large-scale forcing profiles - used for allreduce statements in MPI calls
+    INTEGER(iwp) ::  ngp_sums       !< number of vertical profile grid points time number of output profiles - used for allreduce
+                                    !< statements in MPI calls
+    INTEGER(iwp) ::  ngp_sums_ls    !< number of vertical profile grid points time number of large-scale forcing profiles - used for
+                                    !< allreduce statements in MPI calls
     INTEGER(iwp) ::  nnx            !< number of subdomain grid points in x-direction
     INTEGER(iwp) ::  nx = 0         !< nx+1 = total number of grid points in x-direction
@@ -1194,5 +1344,6 @@
     INTEGER(iwp) ::  nxl            !< left-most grid index of subdomain (excluding ghost points)
     INTEGER(iwp) ::  nxlg           !< left-most grid index of subdomain (including ghost points)
-    INTEGER(iwp) ::  nxlu           !< =nxl+1 (at left domain boundary with inflow from left), else =nxl (used for u-velocity component)
+    INTEGER(iwp) ::  nxlu           !< =nxl+1 (at left domain boundary with inflow from left), else =nxl
+                                    !< (used for u-velocity component)
     INTEGER(iwp) ::  nxr            !< right-most grid index of subdomain (excluding ghost points)
     INTEGER(iwp) ::  nxrg           !< right-most grid index of subdomain (including ghost points)
@@ -1206,5 +1357,6 @@
     INTEGER(iwp) ::  nys            !< south-most grid index of subdomain (excluding ghost points)
     INTEGER(iwp) ::  nysg           !< south-most grid index of subdomain (including ghost points)
-    INTEGER(iwp) ::  nysv           !< =nys+1 (at south domain boundary with inflow from south), else =nys (used for v-velocity component)
+    INTEGER(iwp) ::  nysv           !< =nys+1 (at south domain boundary with inflow from south), else =nys
+                                    !< (used for v-velocity component)
     INTEGER(iwp) ::  ny_on_file     !< ny of previous run in job chain
     INTEGER(iwp) ::  nnz            !< number of subdomain grid points in z-direction
@@ -1216,20 +1368,20 @@
     INTEGER(iwp) ::  topo_min_level !< minimum topography-top index (usually equal to nzb)
 
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_2dh       !< number of grid points of a horizontal cross section through the
+                                                              !< total domain
     INTEGER(idp), DIMENSION(:), ALLOCATABLE ::  ngp_3d        !< number of grid points of the total domain
     INTEGER(idp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner  !< ! need to have 64 bit for grids > 2E9
-
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_2dh  !< number of grid points of a horizontal cross section through the total domain
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nxl_mg   !< left-most grid index of subdomain on different multigrid level
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nxr_mg   !< right-most grid index of subdomain on different multigrid level
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nyn_mg   !< north-most grid index of subdomain on different multigrid level
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nys_mg   !< south-most grid index of subdomain on different multigrid level
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nzt_mg   !< top-most grid index of subdomain on different multigrid level
-
-
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer     !< number of horizontal grid points which are non-topography and non-surface-bounded
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nxl_mg        !< left-most grid index of subdomain on different multigrid level
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nxr_mg        !< right-most grid index of subdomain on different multigrid level
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nyn_mg        !< north-most grid index of subdomain on different multigrid level
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nys_mg        !< south-most grid index of subdomain on different multigrid level
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  nzt_mg        !< top-most grid index of subdomain on different multigrid level
+
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  mg_loc_ind        !< internal array to store index bounds of all PEs of that
+                                                                    !< multigrid level where data is collected to PE0
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer     !< number of horizontal grid points which are non-topography and
+                                                                    !< non-surface-bounded
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner   !< number of horizontal grid points which are non-topography
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  mg_loc_ind        !< internal array to store index bounds of all PEs of that multigrid level where data is collected to PE0
-
-    INTEGER(iwp), DIMENSION(:,:,:), POINTER ::  flags  !< pointer to wall_flags_1-10
 
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_1   !< topograpyh masking flag on multigrid level 1
@@ -1244,9 +1396,15 @@
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE,  TARGET ::  wall_flags_10  !< topograpyh masking flag on multigrid level 10
 
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  advc_flags_m            !< flags used to degrade order of advection scheme for momentum
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  advc_flags_s            !< flags used to degrade order of advection scheme for scalar quantities
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  advc_flags_m            !< flags used to degrade order of advection scheme for
+                                                                            !< momentum
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  advc_flags_s            !< flags used to degrade order of advection scheme for
+                                                                            !< scalar quantities
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  topo_top_ind            !< precalculated topography top indices
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_static_0     !< flags to mask topography and surface-bounded grid points
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_total_0      !< merged array, which contains the static and dynamic flags
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_static_0     !< flags to mask topography and surface-bounded grid
+                                                                            !< points
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_total_0      !< merged array, which contains the static and dynamic
+                                                                            !< flags
+
+    INTEGER(iwp), DIMENSION(:,:,:), POINTER ::  flags  !< pointer to wall_flags_1-10
 
     SAVE
@@ -1255,24 +1413,26 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Interfaces for special subroutines which use optional parameters.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE interfaces
 
     INTERFACE
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> @todo Missing subroutine description.
-!------------------------------------------------------------------------------!
-       SUBROUTINE global_min_max ( i1, i2, j1, j2, k1, k2, array, mode, offset, &
-                                   result, result_ijk, result1, result1_ijk )
+!--------------------------------------------------------------------------------------------------!
+       SUBROUTINE global_min_max ( i1, i2, j1, j2, k1, k2, array, mode, offset, result, result_ijk,&
+                                   result1, result1_ijk )
 
           USE kinds
 
-          CHARACTER (LEN=*), INTENT(IN) ::  mode                      !< mode of global min/max function: can be 'min', 'max', 'minmax', 'abs', or 'absoff'
+          CHARACTER (LEN=*), INTENT(IN) ::  mode                      !< mode of global min/max function: can be 'min', 'max',
+                                                                      !< 'minmax', 'abs', or 'absoff'
+
           INTEGER(iwp), INTENT(IN)      ::  i1                        !< internal index of min/max function
           INTEGER(iwp), INTENT(IN)      ::  i2                        !< internal index of min/max function
@@ -1281,9 +1441,13 @@
           INTEGER(iwp), INTENT(IN)      ::  k1                        !< internal index of min/max function
           INTEGER(iwp), INTENT(IN)      ::  k2                        !< internal index of min/max function
+
           INTEGER(iwp)                  ::  result_ijk(3)             !< grid index result of min/max function
           INTEGER(iwp), OPTIONAL        ::  result1_ijk(3)            !< optional grid index result of min/max function
-          REAL(wp)                      ::  offset                    !< min/max function calculates absolute value with respect to an offset
+
+          REAL(wp)                      ::  offset                    !< min/max function calculates absolute value with respect to
+                                                                      !< an offset
           REAL(wp)                      ::  result                    !< result of min/max function
           REAL(wp), OPTIONAL            ::  result1                   !< optional result of min/max function
+
           REAL(wp), INTENT(IN)          ::  array(i1:i2,j1:j2,k1:k2)  !< input array of min/max function
 
@@ -1297,19 +1461,18 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Interfaces for subroutines with pointer arguments called in
-!> prognostic_equations.
-!------------------------------------------------------------------------------!
+!> Interfaces for subroutines with pointer arguments called in prognostic_equations.
+!--------------------------------------------------------------------------------------------------!
  MODULE pointer_interfaces
 
     INTERFACE
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> @todo Missing subroutine description.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
        SUBROUTINE advec_s_bc( sk, sk_char )
 
@@ -1329,11 +1492,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Definition of variables which define processor topology and the exchange of
-!> ghost point layers. This module must be placed in all routines containing
-!> MPI-calls.
-!------------------------------------------------------------------------------!
+!> Definition of variables which define processor topology and the exchange of ghost point layers.
+!> This module must be placed in all routines containing MPI-calls.
+!--------------------------------------------------------------------------------------------------!
  MODULE pegrid
 
@@ -1349,5 +1511,6 @@
     INTEGER(iwp) ::  comm1dx                     !< communicator for domain decomposition along x
     INTEGER(iwp) ::  comm1dy                     !< communicator for domain decomposition along y
-    INTEGER(iwp) ::  comm2d                      !< standard 2d (xy) communicator used in PALM for the process group the PE belongs to
+    INTEGER(iwp) ::  comm2d                      !< standard 2d (xy) communicator used in PALM for the process group the PE belongs
+                                                 !< to
     INTEGER(iwp) ::  comm_inter                  !< intercommunicator that connects atmosphere/ocean process groups
     INTEGER(iwp) ::  comm_palm                   !< internal communicator used during the MPI setup at the beginning of a run
@@ -1361,6 +1524,8 @@
     INTEGER(iwp) ::  myidy = 0                   !< id number of processor elements with same position along y-direction
     INTEGER(iwp) ::  ndim = 2                    !< dimension of the virtual PE grid
-    INTEGER(iwp) ::  ngp_a                       !< used in atmosphere/ocean coupling: total number of horizontal grid points (atmosphere)
-    INTEGER(iwp) ::  ngp_o                       !< used in atmosphere/ocean coupling: total number of horizontal grid points (ocean)
+    INTEGER(iwp) ::  ngp_a                       !< used in atmosphere/ocean coupling: total number of horizontal grid points
+                                                 !< (atmosphere)
+    INTEGER(iwp) ::  ngp_o                       !< used in atmosphere/ocean coupling: total number of horizontal grid points
+                                                 !< (ocean)
     INTEGER(iwp) ::  ngp_xy                      !< used in atmosphere/ocean coupling: number of grid points of the subdomain
     INTEGER(iwp) ::  ngp_y                       !< number of subdomain grid points along y including ghost points
@@ -1374,9 +1539,13 @@
     INTEGER(iwp) ::  psouth                      !< MPI id of north neigbour pe
     INTEGER(iwp) ::  req_count = 0               !< MPI return variable - checks if Send-Receive operation is already finished
-    INTEGER(iwp) ::  sendrecvcount_xy            !< number of subdomain gridpoints to be exchanged in direct transpositions (y --> x, or x --> y) or second (2d) transposition x --> y
-    INTEGER(iwp) ::  sendrecvcount_yz            !< number of subdomain gridpoints to be exchanged in third (2d) transposition y --> z
-    INTEGER(iwp) ::  sendrecvcount_zx            !< number of subdomain gridpoints to be exchanged in first (2d) transposition z --> x
+    INTEGER(iwp) ::  sendrecvcount_xy            !< number of subdomain gridpoints to be exchanged in direct transpositions
+                                                 !< (y --> x, or x --> y) or second (2d) transposition x --> y
+    INTEGER(iwp) ::  sendrecvcount_yz            !< number of subdomain gridpoints to be exchanged in third (2d) transposition
+                                                 !< y --> z
+    INTEGER(iwp) ::  sendrecvcount_zx            !< number of subdomain gridpoints to be exchanged in first (2d) transposition
+                                                 !< z --> x
     INTEGER(iwp) ::  sendrecvcount_zyd           !< number of subdomain gridpoints to be exchanged in direct transpositions z --> y (used for calculating spectra)
-    INTEGER(iwp) ::  target_id                   !< in atmosphere/ocean coupling: id of the ocean/atmosphere counterpart PE with whom the atmosphere/ocean PE exchanges data
+    INTEGER(iwp) ::  target_id                   !< in atmosphere/ocean coupling: id of the ocean/atmosphere counterpart PE with
+                                                 !< whom the atmosphere/ocean PE exchanges data
     INTEGER(iwp) ::  tasks_per_node = -9999      !< MPI tasks per compute node
     INTEGER(iwp) ::  threads_per_task = 1        !< number of OPENMP threads per MPI task
@@ -1408,9 +1577,8 @@
     INTEGER(iwp) ::  pcoord(2)                !< PE coordinates along x and y
     INTEGER(iwp) ::  status(MPI_STATUS_SIZE)  !< MPI status variable used in various MPI calls
+    INTEGER(iwp) ::  type_x_byte              !< derived MPI datatype for 2-D 8-bit integer ghost-point exchange - north / south
+    INTEGER(iwp) ::  type_y_byte              !< derived MPI datatype for 2-D integer ghost-point exchange - left / right
 
     INTEGER(iwp), DIMENSION(MPI_STATUS_SIZE,100) ::  wait_stat  !< MPI status variable used in various MPI calls
-
-    INTEGER(iwp) ::  type_x_byte !< derived MPI datatype for 2-D 8-bit integer ghost-point exchange - north / south
-    INTEGER(iwp) ::  type_y_byte !< derived MPI datatype for 2-D integer ghost-point exchange - left / right
 
     INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_xz      !< number of ghost points in xz-plane on different multigrid level
@@ -1418,10 +1586,16 @@
     INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_yz      !< number of ghost points in yz-plane on different multigrid level
     INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ngp_yz_int  !< number of ghost points in yz-plane on different multigrid level
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_x_int  !< derived MPI datatype for 2-D integer ghost-point exchange - north / south
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_xz     !< derived MPI datatype for 3-D integer ghost-point exchange - north / south
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_xz_int !< derived MPI datatype for 3-D integer ghost-point exchange - north / south
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_y_int  !< derived MPI datatype for 2-D integer ghost-point exchange - left / right
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_yz     !< derived MPI datatype for 3-D integer ghost-point exchange - left / right
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_yz_int !< derived MPI datatype for 3-D integer ghost-point exchange - left / right
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_x_int  !< derived MPI datatype for 2-D integer ghost-point exchange - north /
+                                                            !< south
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_xz     !< derived MPI datatype for 3-D integer ghost-point exchange - north /
+                                                            !< south
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_xz_int !< derived MPI datatype for 3-D integer ghost-point exchange - north /
+                                                            !< south
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_y_int  !< derived MPI datatype for 2-D integer ghost-point exchange - left /
+                                                            !< right
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_yz     !< derived MPI datatype for 3-D integer ghost-point exchange - left /
+                                                            !< right
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  type_yz_int !< derived MPI datatype for 3-D integer ghost-point exchange - left /
+                                                            !< right
 
     LOGICAL ::  left_border_pe  = .FALSE.  !< = .TRUE. if PE is on left border of computational domain
@@ -1440,9 +1614,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Definition of variables which control PROFIL-output.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE profil_parameter
 
@@ -1452,25 +1626,25 @@
 
     CHARACTER (LEN=27), DIMENSION(20) ::  cross_ts_profiles = &  !< time series to be plotted into one coordinate system, respectively
-                           (/ ' E E*                      ', &
-                              ' dt                        ', &
-                              ' u* w*                     ', &
-                              ' th*                       ', &
-                              ' umax vmax wmax            ', &
-                              ' div_old div_new           ', &
-                              ' zi_wtheta zi_theta        ', &
-                              ' w"theta"0 w"theta" wtheta ', &
-                              ' theta(0) theta(zp)        ', &
-                              ' splux spluy spluz         ', &
-                              ' L                         ', &
-                            ( '                           ', i9 = 1, 9 ) /)
+                                          (/ ' E E*                      ',                        &
+                                             ' dt                        ',                        &
+                                             ' u* w*                     ',                        &
+                                             ' th*                       ',                        &
+                                             ' umax vmax wmax            ',                        &
+                                             ' div_old div_new           ',                        &
+                                             ' zi_wtheta zi_theta        ',                        &
+                                             ' w"theta"0 w"theta" wtheta ',                        &
+                                             ' theta(0) theta(zp)        ',                        &
+                                             ' splux spluy spluz         ',                        &
+                                             ' L                         ',                        &
+                                           ( '                           ', i9 = 1, 9 ) /)
 
     CHARACTER (LEN=100), DIMENSION(crmax) ::  cross_profiles = &  !< quantities to be plotted into one coordinate system, respectively
-                          (/ ' u v                                          ', &
-                             ' pt                                           ', &
-                             ' w"theta" w*theta* w*theta*BC wtheta wthetaBC ', &
-                             ' w"u" w*u* wu w"v" w*v* wv                    ', &
-                             ' km kh                                        ', &
-                             ' l                                            ', &
-             ( '                                              ', i9 = 1, 94 ) /)
+                                              (/ ' u v                                          ', &
+                                                 ' pt                                           ', &
+                                                 ' w"theta" w*theta* w*theta*BC wtheta wthetaBC ', &
+                                                 ' w"u" w*u* wu w"v" w*v* wv                    ', &
+                                                 ' km kh                                        ', &
+                                                 ' l                                            ', &
+                                 ( '                                              ', i9 = 1, 94 ) /)
 
     INTEGER(iwp) ::  profile_columns = 2  !< number of coordinate systems on a profile plot per column
@@ -1484,15 +1658,14 @@
  END MODULE profil_parameter
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Definition of statistical quantities, e.g. global sums.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE statistics
 
     USE kinds
 
-    CHARACTER (LEN=40) ::  region(0:9) =  &  !< label for statistic region
-                           'total domain                            '
+    CHARACTER (LEN=40) ::  region(0:9) = 'total domain                            '  !< label for statistic region
 
     INTEGER(iwp) ::  pr_palm = 200          !< maximum number of output profiles
